#include <bits/stdc++.h>
using namespace std;
int main()
{
	string s;
	cin>>s;
	int a,b;
	cin>>a>>b;
	if(abs(a-b)>1) cout<<"nemoguce";
	else
	{
		if (a-b==0)
		{
			for(int i=0;i<a;i++)
			{
				cout<<s;
			}
		}
		else if(a-b==1)
		{
			for(int j=0;j<b;j++)
			{
				cout<<s;
			}
			cout<<s[0];
		}
		else
		{
			cout<<s[1];
			for(int l=0;l<a;l++)
			{
				cout<<s;
			}
		}
	}
}